from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCachedContentResultSetFactory(XInterface, Protocol):
    def createCachedContentResultSet(self, xSource: XResultSet, xMapping: XContentIdentifierMapping) -> XResultSet: ...
